Bug 510055 - Review Request: ModemManager - mobile broadband modem service
Review Request: ModemManager - mobile broadband modem service
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-07 11:13 EDT by Dan Williams
Modified: 2009-08-25 15:39 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-25 15:39:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wtogami: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dan Williams 2009-07-07 11:13:49 EDT
Spec URL: http://bigw.org/~dan/ModemManager.spec
SRPM URL: http://bigw.org/~dan/ModemManager-0.2-0.20090707.fc12.src.rpm
Description: A daemon that provides a D-Bus API to arbitrate and control modems, including mobile broadband (3G) modems.
Comment 1 Warren Togami 2009-07-07 14:17:59 EDT
> %files
> %defattr(0644, root, root, 0755)
> %doc COPYING README
> %{_sysconfdir}/dbus-1/system.d/org.freedesktop.ModemManager.conf
> %{_datadir}/dbus-1/system-services/org.freedesktop.ModemManager.service
> %attr(0755,root,root) %{_sbindir}/modem-manager
> %attr(0755,root,root) %{_libdir}/%{name}/*.so*
What package owns this directory?
> /lib/udev/rules.d/*

[warren@newcaprica ~]$ git clone git://git.freedesktop.org/ModemManager/ModemManager
Initialized empty Git repository in /tmp/ModemManager/.git/
fatal: The remote end hung up unexpectedly

Huh?
Comment 2 Dan Williams 2009-07-07 21:02:04 EDT
Fixed:

Spec URL: http://bigw.org/~dan/ModemManager.spec
SRPM URL: http://bigw.org/~dan/ModemManager-0.2-1.20090707.fc12.src.rpm

Thanks!
Comment 3 Warren Togami 2009-07-08 10:36:50 EDT
ModemManager.x86_64: W: non-conffile-in-etc /etc/dbus-1/system.d/org.freedesktop.ModemManager.conf

This can be safely ignored.

APPROVED
Comment 4 Dan Williams 2009-07-08 12:17:04 EDT
New Package CVS Request
=======================
Package Name: ModemManager
Short Description: Modem arbitration and control service
Owners: dcbw
Branches: (F12/devel only)
InitialCC: 


Thanks!
Comment 5 Jason Tibbitts 2009-07-08 12:37:55 EDT
CVS done.
Comment 6 kevin 2009-07-17 00:48:55 EDT
There is an error in the file /lib/udev/rules.d/77-mm-zte-port-type.rules:

at line 7, there is a GOTO label "nm..." but at line 78 the label is defined at "mm..."

Cheers,
Kev
Comment 7 Christoph Wickert 2009-08-25 15:39:25 EDT
> ModemManager.x86_64: W: non-conffile-in-etc
> /etc/dbus-1/system.d/org.freedesktop.ModemManager.conf
> 
> This can be safely ignored.

Shouldn't this be somewhere in /usr/share/dbus-1 then?

Closing, as this was built on 2009-07-12.

Note You need to log in before you can comment on or make changes to this bug.